
clear all
close all

% Equal bargaining power given by 0.5

wm=1;
psi=0.1;
y=0.1;
lamf=0.5;

mean=0.5;
sig=1;

% Create distribution
pd=makedist('LogNormal',mean,sig);

% Unemployment probability
u=0.1;

% Define result
elast=zeros(1,100);
LFP=zeros(1,100);

% Define female wage grid
wf_grid=linspace(0.01,1,100);

i=1;
while i<=100
    
    wf=wf_grid(i);
    
    eta_hat_e=(1/lamf)*log((wf+wm+y-psi)/(wm+y));
    eta_hat_u=(1/lamf)*log((wf+y)/(y));
    
    elast(i)=(1+2*(1-u)*cdf(pd,eta_hat_e)-(1-2*u)*cdf(pd,eta_hat_u))...
        /(1+(1-u)*cdf(pd,eta_hat_e)+u*cdf(pd,eta_hat_u));
    LFP(i)=(1-u)*cdf(pd,eta_hat_e)+u*cdf(pd,eta_hat_u);
    
    i=i+1;
end

figure
subplot(2,1,1)
gr=plot(wf_grid,elast,'b-')
hold on
ylabel('Labor Supply Elasticity');
xlabel('Relative Female Wage');
axis([0 1 0.4 1]);
set(gr,'LineWidth',2);
hold off

subplot(2,1,2)
gr=plot(wf_grid,LFP,'b-')
hold on
ylabel('Female LFP');
xlabel('Relative Female Wage');
axis([0 1 0 .5]);
set(gr,'LineWidth',2);
hold off


